Delete a PDF template
Roles
Analytics Events
/v2/credentials/compact/pdf/templates/{id}Delete an existing PDF template by providing its ID
Analytic events
- CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_START
- CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_SUCCESS
- CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
PDF Template ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact/pdf/templates/string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a PDF template PUT
Update an existing CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_FAIL
Create a Google Pass template POST
Creates a Google Pass template based on the provided `.zip` file. Refer to our [Design a Google Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/google-templates) guide for more information on how to design the template and how to structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_CREATE_START * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_CREATE_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_CREATE_FAIL